
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WinRT.BxlComponent.Plugin.BxlMpXamarinSDK.Abstractions
{
    internal class MPosCharacterEncoder
    {
        public static byte[] getVietnamEncodingData(string data, MPosCodePage CodePage = MPosCodePage.MPOS_CODEPAGE_TCVN)
        {
            return new MPosVietnamEncoder().getVietnamEncodingData(data, CodePage);
        }
        public static byte[] getFarsiEncodingData(string data, MPosCodePage CodePage = MPosCodePage.MPOS_CODEPAGE_FARSI_II)
        {
            return new MPosFarsiEncoder().getFarsiEncodingData(data, CodePage);
        }
    }
}
